
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_MISC.all;
use IEEE.STD_LOGIC_UNSIGNED.all;
use IEEE.NUMERIC_STD.all;

-- For the Terasic board -- 50MHz clock

package projects_pkg is

  constant period1  : unsigned(28 downto 0) := '1' & X"0000000"; -- ~5   seconds
  constant period2  : unsigned(28 downto 0) := '0' & X"A800000"; -- ~3.5 seconds
  constant period3  : unsigned(28 downto 0) := '0' & X"6000000"; -- ~2   seconds
  constant period4  : unsigned(28 downto 0) := '0' & X"3000000"; -- ~1   second
   
end package projects_pkg;

package body projects_pkg is

end package body projects_pkg;

        
