
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_MISC.all;
use IEEE.STD_LOGIC_UNSIGNED.all;
use IEEE.NUMERIC_STD.all;

-- For the Digilent board -- 100MHz clock

package projects_pkg is

  constant step_load_slow  : unsigned(27 downto 0) := X"8000000"; -- ~1   seconds
  constant step_load_fast  : unsigned(27 downto 0) := X"FFFFFFF"; -- ~1   seconds
  constant polarity        : std_logic := '0'; --Digilent push-buttons are high-active
   
end package projects_pkg;

package body projects_pkg is

end package body projects_pkg;

        
